Subject: Re: [PATCH] Added Netgear AXE3000 (A8000) usb_device_id to mt7921u_device_table[]

From: Kalle Valo <[email-masked]>
Date: Sat, 18 Mar 2023 09:06:09 +0200

Nick Morrow <[email-masked]> writes:

>> Issue: Though the Netgear AXE3000 (A8000) is based on the mt7921
>> chipset because of the unique USB VID:PID combination this device
>> does not initialize/register. Thus making it not plug and play.
>>
>> Fix: Adds support for the Netgear AXE3000 (A8000) based on the Mediatek
>> mt7921au chipset. The method of action is adding the USD VID/PID
>> pair to the mt7921u_device_table[] array.
>>
>> Notes: A retail sample of the Netgear AXE3000 (A8000) yeilds the following
>> from lsusb D 0846:9060 NetGear, Inc. Wireless_Device. This pair
>> 0846:9060 VID:PID has been reported by other users on Github.
>>
>> Signed-off-by: Reese Russell <[email-masked]>
>> ---
>>  drivers/net/wireless/mediatek/mt76/mt7921/usb.c | 2 ++
>>  1 file changed, 2 insertions(+)
>>
>> diff --git a/drivers/net/wireless/mediatek/mt76/mt7921/usb.c b/drivers/net/wireless/mediatek/mt76/mt7921/usb.c
>> index 5321d20dcdcb..62e9728588f8 100644
>> --- a/drivers/net/wireless/mediatek/mt76/mt7921/usb.c
>> +++ b/drivers/net/wireless/mediatek/mt76/mt7921/usb.c
>> @@ -15,6 +15,8 @@
>>  static const struct usb_device_id mt7921u_device_table[] = {
>>         { USB_DEVICE_AND_INTERFACE_INFO(0x0e8d, 0x7961, 0xff, 0xff, 0xff),
>>                 .driver_info = (kernel_ulong_t)MT7921_FIRMWARE_WM },
>> +       { USB_DEVICE_AND_INTERFACE_INFO(0x0846, 0x9060, 0xff, 0xff, 0xff),
>> +               .driver_info = (kernel_ulong_t)MT7921_FIRMWARE_WM },
>>         { },
>>  };
>>
>> --
>> 2.37.2
>
>
> I can confirm this VID/PID needs to go into 6.1 LTS and the current
> testing version of the kernel as I am getting an increasing amount of
> traffic from users that have purchased the Netgear A8000.
>
> My site is github.com/morrownr/USB-WiFi
>
> Helping Linux users with USB WiFi is what we do.
>
> The OP could have added a comment to the patch showing the adapter
> that is causing this patch to be submitted. Maybe he can submit a v2
> that can be expedited?
>
> Guidance?

I assigned this to me on patchwork, I'll queue this for v6.3 and change
the commit log to below. Felix&Lorenzo, ack?

wifi: mt76: mt7921: add Netgear AXE3000 (A8000)

Add support for the Netgear AXE3000 (A8000) based on the Mediatek
mt7921au chipset. A retail sample of the Netgear AXE3000 (A8000) yeilds
the following from lsusb D 0846:9060 NetGear, Inc. Wireless_Device. This
has been reported by other users on Github.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches